PHP Handbuch
Zurück |  | Weiter

# debug_zval_dump

(PHP 4 >= 4.2.0, PHP 5)

debug_zval_dump -- Dumps a string representation of an internal zend value to output

## Beschreibung

void debug_zval_dump ( mixed variable )

Dumps a string representation of an internal zend value to output.

## Parameter Liste

variable

  The variable being evaluated.

## Rückgabewerte

No value is returned.

## Beispiele

Beispiel 1. debug_zval_dump() example
`<?php $var1 = 'Hello World'; $var2 = ''; $var2 =& $var1; debug_zval_dump($var1); ?>`
Das oben gezeigte Beispiel erzeugt folgende Ausgabe:
    string(11) "Hello World" refcount(1)

## Siehe auch

var_dump()
debug_backtrace()
References Explained

Zurück | Zum Anfang | Weiter
Variablen-Funktionen | Nach oben | doubleval